lexik_jwt_authentication:
    secret_key: '%env(resolve:JWT_SECRET_KEY)%'
    public_key: '%env(resolve:JWT_PUBLIC_KEY)%'
    pass_phrase: '%env(JWT_PASSPHRASE)%'
    token_ttl: '%app.authentication.portal.ttl%' # in seconds, default is 3600
    remove_token_from_body_when_cookies_used: false # We override this behaviour

    token_extractors:
        authorization_header:
            enabled: false
        split_cookie:
            enabled: true
            cookies:
                - jwt_hp
                - jwt_s

    set_cookies:
        jwt_hp:
            lifetime: null
            samesite: strict # strict
            path: /
            domain: null
            httpOnly: false # false
            secure: false # true
            split:
                - header
                - payload
        jwt_s:
            lifetime: 0
            samesite: strict # strict
            path: /
            domain: null
            httpOnly: true # true
            secure: false # true
            split:
                - signature
